Subject: Re: Preferring HTML parts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Sep 2014 12:29:29 +0300

> From: Ken Olum <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 06 Sep 2014 20:11:03 -0400
> 
> OK, here is a new version of the patch including the change to only
> default rmail-mime-prefer-html to t if we have a renderer.

Thanks.  Installed as trunk revision 117871.

I followed up with 2 additional commits: one to decode the HTML using
the transfer-encoding specified by the mail message, and another to
bind shr-width to nil during HTML rendering, so that the rendered
lines are not broken too early (which screws up display of many HTML
messages, e.g., the parts that cite messages being replied to).

Thank you for all your hard work.  I'm now closing this bug.